scala.runtime
class BoxedArray

[source: `scala/runtime/BoxedArray.scala`]

`abstract` `class` BoxedArray
  `extends` Mutable[Any]

  A class representing `Array[T]`

Author
  Martin Odersky, Stephane Micheloud
Version
  1.0

Direct Known Subclasses:
  BoxedAnyArray, BoxedBooleanArray, BoxedByteArray, BoxedCharArray, BoxedDoubleArray, BoxedFloatArray, BoxedIntArray, BoxedLongArray, BoxedObjectArray, BoxedShortArray

Method Summary
`override final def` | ++ [b >: Any](that : Iterable[b]) : Array[b] Appends two iterable objects.
`abstract def` | apply (index : Int) : Any The element at given index
`def` | copyFrom (src : AnyRef, from : Int, to : Int, len : Int) : Unit
`def` | copyTo (from : Int, dest : AnyRef, to : Int, len : Int) : Unit
`override def` | copyToArray [B](xs : Array[B], start : Int) : Unit Fills the given array `xs` with the elements of this sequence starting at position `start`.
`final def` | deepEquals (that : Any) : Boolean
`final def` | deepMkString (sep : String) : String
`final def` | deepMkString (start : String, sep : String, end : String) : String
`final def` | deepToString : String
`override def` | drop (n : Int) : BoxedArray Returns this sequence without its `n` first elements If this sequence has less than `n` elements, the empty sequence is returned. (non-strict)
`override def` | dropWhile (p : (Any) => Boolean) : BoxedArray Returns the longest suffix of this sequence whose first element does not satisfy the predicate `p`.
`override def` | elements : Iterator[Any] Creates a new iterator over all elements contained in this object.
`override final def` | flatMap [b](f : (Any) => Iterable[b]) : Array[b] Applies the given function `f` to each element of this sequence, then concatenates the results.
`def` | indices : Array[Int] Returns an array that contains all indices of this array
`override def` | isDefinedAt (x : Int) : Boolean Is this partial function defined for the index `x`?
`abstract def` | length : Int The length of the array
`override final def` | map [b](f : (Any) => b) : Array[b] Returns the sequence resulting from applying the given function `f` to each element of this sequence.
`override def` | slice (start : Int, end : Int) : BoxedArray A sub-sequence of `len` elements starting at index `from` (non-strict)
`override final def` | stringPrefix : String Defines the prefix of this object's `toString` representation.
`abstract def` | subArray (from : Int, end : Int) : AnyRef
`override def` | take (n : Int) : BoxedArray Returns a sequence consisting only over the first `n` elements of this sequence, or else the whole sequence, if it has less than `n` elements. (non-strict)
`override def` | takeWhile (p : (Any) => Boolean) : BoxedArray Returns the longest prefix of this sequence whose elements satisfy the predicate `p`.
`abstract def` | unbox (elemClass : Class) : AnyRef
`abstract def` | unbox (elemTag : String) : AnyRef Convert to Java array.
`abstract def` | update (index : Int, elem : Any) : Unit Update element at given index
`abstract def` | value : AnyRef The underlying array value
`final def` | zip [b](that : Array[b]) : Array[(Any, b)]
`final def` | zipWithIndex : Array[(Any, Int)]

Methods inherited from Mutable
projection, readOnly, reverse

Methods inherited from RandomAccessSeq
toStream, safeIs

Methods inherited from Seq
size, isEmpty, concat, last, lastOption, headOption, lastIndexOf, filter, contains, subseq, toArray, equalsWith, startsWith, endsWith, indexOf, containsSlice

Methods inherited from Collection
toString

Methods inherited from Iterable
foreach, forall, exists, find, findIndexOf, indexOf, foldLeft, foldRight, /:, :\, reduceLeft, reduceRight, copyToBuffer, sameElements, toList, mkString, mkString, mkString, addString, addString, hasDefiniteSize

Methods inherited from PartialFunction
orElse, andThen

Methods inherited from Function1
compose

Methods inherited from AnyRef
getClass, hashCode, equals, clone, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf